namespace Adaptation.FileHandlers.DownloadTXTFile;

internal class NginxFileSystem
{
    protected readonly string _Name;
    protected readonly string _Type;
    protected readonly string _MTime;
    protected readonly float _Size;

    public string Name => _Name;
    public string Type => _Type;
    public string MTime => _MTime;
    public float Size => _Size;

    public NginxFileSystem(string name, string type, string mTime, float size)
    {
        _Name = name;
        _Type = type;
        _MTime = mTime;
        _Size = size;
    }

}